# Ogre::DDDriverList Class Reference

Encapsulates enumeration of DirectDraw drivers. More...

`#include <OgreDDDriverList.h>`

List of all members.

## Public Member Functions

| DDDriverList ()
| ~DDDriverList ()
BOOL | enumerate (void)
DDDriver * | item (size_t index)
| Returns the item at the specified position.
size_t | count (void) const

## Private Member Functions

void | AddDriver (GUID FAR *lpGuid, LPSTR lpDriverDesc, LPSTR lpDriverName)

## Private Attributes

std::vector< DDDriver > | mDriverList

## Friends

BOOL WINAPI | DDEnumCallbackEx (GUID FAR *lpGUID, LPSTR lpDriverDescription, LPSTR lpDriverName, LPVOID lpContext, HMONITOR hm)
BOOL WINAPI | DDEnumCallback (GUID FAR *lpGUID, LPSTR lpDriverDescription, LPSTR lpDriverName, LPVOID lpContext)

## Detailed Description

Encapsulates enumeration of DirectDraw drivers.

Utility class for D3DRenderSystem.

Definition at line 35 of file OgreDDDriverList.h.

## Constructor & Destructor Documentation

Ogre::DDDriverList::DDDriverList | ( |  | ) |

Ogre::DDDriverList::~DDDriverList | ( |  | ) |

## Member Function Documentation

void Ogre::DDDriverList::AddDriver | ( | GUID FAR * | lpGuid,
|  | LPSTR | lpDriverDesc,
|  | LPSTR | lpDriverName
| ) | `[private]`

size_t Ogre::DDDriverList::count | ( | void |  | ) | const

BOOL Ogre::DDDriverList::enumerate | ( | void |  | ) |

DDDriver* Ogre::DDDriverList::item | ( | size_t | index | ) |

| Returns the item at the specified position. Throws an std::out_of_range if the index is greater then the size.

## Friends And Related Function Documentation

BOOL WINAPI DDEnumCallback | ( | GUID FAR * | lpGUID,
|  | LPSTR | lpDriverDescription,
|  | LPSTR | lpDriverName,
|  | LPVOID | lpContext
| ) | `[friend]`

BOOL WINAPI DDEnumCallbackEx | ( | GUID FAR * | lpGUID,
|  | LPSTR | lpDriverDescription,
|  | LPSTR | lpDriverName,
|  | LPVOID | lpContext,
|  | HMONITOR | hm
| ) | `[friend]`

## Member Data Documentation

std::vector<DDDriver> Ogre::DDDriverList::mDriverList `[private]`

| Definition at line 40 of file OgreDDDriverList.h.

The documentation for this class was generated from the following file:

- OgreDDDriverList.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:08:26 2006